.search-wrapper {
    position: relative;
    margin: 30px 0 10px;
}

#search-bar {
    width: 100%;
    padding: 12px 42px 12px 15px;
    border: 1px solid var(--line);
    border-radius: 8px;
    background-color: transparent;
    color: var(--text);
    font-family: "Fraunces", serif;
    font-size: var(--fs-regular);
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

#search-bar::placeholder {
    font-weight: 600;
    font-style: italic;
    color: var(--muted);
}

#search-bar:focus {
    outline: none;
    border-color: var(--accent);
}

#clear-search {
    position: absolute;
    top: 50%;
    right: 12px;
    transform: translateY(-50%);
    border: none;
    background: none;
    padding-inline: 3px;
    /*cursor: pointer;*/
    color: var(--muted);
    font-size: calc(var(--fs-regular) * 1.69);
    line-height: 1;
    opacity: 0;
    pointer-events: none;
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

#clear-search:hover {
    color: var(--accent);
}

#clear-search.show {
    opacity: 1;
    pointer-events: auto;
}

mark {
    background: var(--accent);
    color: var(--background);
    border-radius: 2px;
    padding: 0 3px;
}
